Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type Client

Basic client detection implementation.

Type Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Client() Version names follow the wikipedia scheme: major.minor[.revision[.build]] at http://en.wikipedia.org/wiki/Software_version Object can be obtained from rap.getClient.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Client.getBasePath() Returns application base path.
<static> | Client.getBrowser() Returns the name of the browser, "chrome" or "firefox" for example.
<static> | Client.getBuild() Returns the build number of browser engine version.
<static> | Client.getDefaultLocale() Returns the browser default locale.
<static> | Client.getEngine() Returns the name of the browser engine - "trident", "gecko", "webkit" or "blink".
<static> | Client.getLanguage() Returns the language part from the browser locale.
<static> | Client.getLocale() Returns the browser locale as defined in http://www.ietf.org/rfc/bcp/bcp47.txt.
<static> | Client.getMajor() Returns the major number of browser engine version.
<static> | Client.getMinor() Returns the minor number of browser engine version.
<static> | Client.getPlatform() Returns client platform like Windows, Android for example.
<static> | Client.getRevision() Returns the revision number of browser engine version.
<static> | Client.getTerritory() Returns the region part from the browser locale.
<static> | Client.getTimezoneOffset() Returns the client timezone.
<static> | Client.getVersion() Returns the browser engine version.
<static> | Client.isAndroidBrowser() Returns true if the browser is default Android browser, false otherwise.
<static> | Client.isBlink() Returns true is browser engine is "blink" (Chrome/Opera), false otherwise.
<static> | Client.isGecko() Returns true is browser engine is "gecko" (Firefox), false otherwise.
<static> | Client.isMobileChrome() Returns true if the browser is mobile Chrome, false otherwise.
<static> | Client.isMobileFirefox() Returns true if the browser is mobile Firefox, false otherwise.
<static> | Client.isMobileSafari() Returns true if the browser is mobile Safari, false otherwise.
<static> | Client.isTrident() Returns true is browser engine is "trident" (IE/Edge), false otherwise.
<static> | Client.isWebkit() Returns true is browser engine is "webkit" (Safari), false otherwise.
<static> | Client.supportsCss3() Returns true if the browser supports CSS3, false otherwise.
<static> | Client.supportsFileDrop() Returns true if the browser supports file drop, false otherwise.
<static> | Client.supportsTouch() Returns true if the browser supports touch events, false otherwise.
<static> | Client.usesDefaultLocale() Returns true if the current browser locale is the default one, false otherwise.

Type Detail
Client()
Version names follow the wikipedia scheme: major.minor[.revision[.build]] at http://en.wikipedia.org/wiki/Software_version Object can be obtained from rap.getClient.

Since:
  3.2

Method Detail
<static> Client.getBasePath()
Returns application base path.

<static> Client.getBrowser()
Returns the name of the browser, "chrome" or "firefox" for example. If the browser name can't be detected this function returns "unknown".

<static> Client.getBuild()
Returns the build number of browser engine version.

<static> Client.getDefaultLocale()
Returns the browser default locale.

<static> Client.getEngine()
Returns the name of the browser engine - "trident", "gecko", "webkit" or "blink". If the browser engine name can't be detected this function returns "unknown".

<static> Client.getLanguage()
Returns the language part from the browser locale.

<static> Client.getLocale()
Returns the browser locale as defined in http://www.ietf.org/rfc/bcp/bcp47.txt.

<static> Client.getMajor()
Returns the major number of browser engine version.

<static> Client.getMinor()
Returns the minor number of browser engine version.

<static> Client.getPlatform()
Returns client platform like Windows, Android for example.

<static> Client.getRevision()
Returns the revision number of browser engine version.

<static> Client.getTerritory()
Returns the region part from the browser locale.

<static> Client.getTimezoneOffset()
Returns the client timezone.

<static> Client.getVersion()
Returns the browser engine version.

<static> Client.isAndroidBrowser()
Returns true if the browser is default Android browser, false otherwise.

<static> Client.isBlink()
Returns true is browser engine is "blink" (Chrome/Opera), false otherwise.

<static> Client.isGecko()
Returns true is browser engine is "gecko" (Firefox), false otherwise.

<static> Client.isMobileChrome()
Returns true if the browser is mobile Chrome, false otherwise.

<static> Client.isMobileFirefox()
Returns true if the browser is mobile Firefox, false otherwise.

<static> Client.isMobileSafari()
Returns true if the browser is mobile Safari, false otherwise.

<static> Client.isTrident()
Returns true is browser engine is "trident" (IE/Edge), false otherwise.

<static> Client.isWebkit()
Returns true is browser engine is "webkit" (Safari), false otherwise.

<static> Client.supportsCss3()
Returns true if the browser supports CSS3, false otherwise. NOTE: This returns true if the browser sufficiently implements border-radius, drop-shadow and linear-gradient.

<static> Client.supportsFileDrop()
Returns true if the browser supports file drop, false otherwise.

<static> Client.supportsTouch()
Returns true if the browser supports touch events, false otherwise.

<static> Client.usesDefaultLocale()
Returns true if the current browser locale is the default one, false otherwise.

Copyright (c) EclipseSource and others 2013, 2026. All rights reserved.